import {
  executeTemplate,
  buildFixture,
} from "@constructor-io/constructorio-connect-cli";

describe("item_group", () => {
  it("should match inline snapshot", async () => {
    const result = await executeTemplate({
      type: "item_group",
      name: "item_group.jsonata",
      fixture: buildFixture("item_group", "item_group.json", { other: "data" }),
    });

    // Alternatively, you can also store the snapshot in a file to reduce clutter.
    // expect(result).toMatchSnapshot();

    expect(result).toMatchInlineSnapshot(`
{
  "name": "root",
}
`);
  });
});
