import { Command } from "@oclif/core";
export default class Init extends Command {
    static description: string;
    static examples: string[];
    static args: {
        name: import("@oclif/core/lib/interfaces").Arg<string, Record<string, unknown>>;
    };
    run(): Promise<void>;
    private createRepo;
    private initGitRepoAndCommit;
    private updateRepo;
    private generateRepositoryFiles;
    static createNewRepository(newDir: string, shouldCreateMappingTemplates: boolean): void;
    private static replacePackageName;
    private static replaceConfigValues;
    private printSuccessfulInitMessage;
}
//# sourceMappingURL=init.d.ts.map