#!/usr/bin/env node

void (async () => {
  const oclif = await import("@oclif/core");
  const { config } = await import("dotenv");
  const path = await import("path");

  config({ path: path.join(process.cwd(), ".env") });
  await oclif.execute({ dir: __dirname });
})();
