import { type Config } from "../types";
/**
 * Calls the /templates endpoint of the Constructor API to deploy templates.
 */
export declare function performDeploy({ environment, config, templates, helpers, }: DeployArgs): Promise<void>;
interface DeployArgs {
    environment: string;
    config: Config;
    templates: Array<{
        connectionIds: string[];
        sourceCode: Record<string, string | undefined>;
    }>;
    helpers?: string;
}
export {};
//# sourceMappingURL=deploy-request.d.ts.map